picard.vcf

## Enum GenotypeConcordanceStateCodes

- java.lang.Object
- - java.lang.Enum<GenotypeConcordanceStateCodes>
  - - picard.vcf.GenotypeConcordanceStateCodes

- All Implemented Interfaces:
    Serializable, Comparable<GenotypeConcordanceStateCodes>

      public enum GenotypeConcordanceStateCodes
      extends Enum<GenotypeConcordanceStateCodes>

  Created by kbergin on 7/30/15.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GT_FILTERED_CODE`
    `HET_REF_VAR1_CODE`
    `HET_VAR1_VAR2_CODE`
    `HOM_REF_CODE`
    `HOM_VAR1_CODE`
    `INCOMPARABLE_CODE`
    `IS_MIXED_CODE`
    `LOW_DP_CODE`
    `LOW_GQ_CODE`
    `MISSING_CODE` These codes allow for constants in the truth state enum and the call state enum to be compared.
    `NO_CALL_CODE`
    `VC_FILTERED_CODE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenotypeConcordanceStateCodes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GenotypeConcordanceStateCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_CODE

          public static final GenotypeConcordanceStateCodes MISSING_CODE

      These codes allow for constants in the truth state enum and the call state enum to be compared. The final INCOMPARABLE_CODE is for Call States that are not reflected in the Truth State, so they can never match.

    - #### HOM_REF_CODE

          public static final GenotypeConcordanceStateCodes HOM_REF_CODE

    - #### HET_REF_VAR1_CODE

          public static final GenotypeConcordanceStateCodes HET_REF_VAR1_CODE

    - #### HET_VAR1_VAR2_CODE

          public static final GenotypeConcordanceStateCodes HET_VAR1_VAR2_CODE

    - #### HOM_VAR1_CODE

          public static final GenotypeConcordanceStateCodes HOM_VAR1_CODE

    - #### NO_CALL_CODE

          public static final GenotypeConcordanceStateCodes NO_CALL_CODE

    - #### LOW_GQ_CODE

          public static final GenotypeConcordanceStateCodes LOW_GQ_CODE

    - #### LOW_DP_CODE

          public static final GenotypeConcordanceStateCodes LOW_DP_CODE

    - #### VC_FILTERED_CODE

          public static final GenotypeConcordanceStateCodes VC_FILTERED_CODE

    - #### GT_FILTERED_CODE

          public static final GenotypeConcordanceStateCodes GT_FILTERED_CODE

    - #### IS_MIXED_CODE

          public static final GenotypeConcordanceStateCodes IS_MIXED_CODE

    - #### INCOMPARABLE_CODE

          public static final GenotypeConcordanceStateCodes INCOMPARABLE_CODE

  - ### Method Detail

    - #### values

          public static GenotypeConcordanceStateCodes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenotypeConcordanceStateCodes c : GenotypeConcordanceStateCodes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenotypeConcordanceStateCodes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null